using SecureShopContracts.BindingModels;
using SecureShopContracts.SearchModels;
using SecureShopContracts.StoragesContracts;
using SecureShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SecureFileImplement.Implements
{
    public class ImplementerStorage : IImplementerStorage
    {
        public ImplementerViewModel? Delete(ImplementerBindingModel model)
        {
            throw new NotImplementedException();
        }

        public ImplementerViewModel? GetElement(ImplementerSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<ImplementerViewModel> GetFilteredList(ImplementerSearchModel model)
        {
            throw new NotImplementedException();
        }

        public List<ImplementerViewModel> GetFullList()
        {
            throw new NotImplementedException();
        }

        public ImplementerViewModel? Insert(ImplementerBindingModel model)
        {
            throw new NotImplementedException();
        }

        public ImplementerViewModel? Update(ImplementerBindingModel model)
        {
            throw new NotImplementedException();
        }
    }
}
